GNU bug report logs - #34189
[PATCH] gnu: Add arcan.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: L p R n d n <guix@HIDDEN>; Keywords: patch; dated Thu, 24 Jan 2019 11:55:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 18 Mar 2019 09:37:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 18 05:37:34 2019
Received: from localhost ([127.0.0.1]:48092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h5oi5-0005hE-Vk
	for submit <at> debbugs.gnu.org; Mon, 18 Mar 2019 05:37:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h5oi4-0005h2-Jt
 for 34189 <at> debbugs.gnu.org; Mon, 18 Mar 2019 05:37:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33780)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1h5ohx-00043P-QU; Mon, 18 Mar 2019 05:37:26 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=53540 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1h5ohx-0004w5-DY; Mon, 18 Mar 2019 05:37:25 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: L p R n d n <guix@HIDDEN>
Subject: Re: [bug#34189] [PATCH] gnu: Add arcan.
References: <cuczhpzt400.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 28 =?utf-8?Q?Vent=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 18 Mar 2019 10:37:24 +0100
In-Reply-To: <cuczhpzt400.fsf@HIDDEN> (L. p. R. n. d. n.'s message of
 "Wed, 13 Mar 2019 12:20:31 +0100")
Message-ID: <877ecwr0a3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34189
Cc: 34189 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

L  p R n  d n    <guix@HIDDEN> skribis:

> I join new patches for xarcan and arcan-wayland.

Perfect, I=E2=80=99ve applied both!

Are we done?

Thank you,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 13 Mar 2019 10:20:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 13 06:20:43 2019
Received: from localhost ([127.0.0.1]:41065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h4106-0001d5-Ee
	for submit <at> debbugs.gnu.org; Wed, 13 Mar 2019 06:20:42 -0400
Received: from mout02.posteo.de ([185.67.36.142]:40237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1h4103-0001cm-3c
 for 34189 <at> debbugs.gnu.org; Wed, 13 Mar 2019 06:20:40 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 65606240102
 for <34189 <at> debbugs.gnu.org>; Wed, 13 Mar 2019 11:20:32 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 44K7C25nYNz9rxT;
 Wed, 13 Mar 2019 11:20:30 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34189] [PATCH] gnu: Add arcan.
Date: Wed, 13 Mar 2019 12:20:31 +0100
In-Reply-To: =?utf-8?Q?Ludovic_Court=C3=A8s?='s message of "Mon\, 04 Mar
 2019 15\:10\:49 +0100 \(1 week\, 1 day\, 21 hours ago\)"
Message-ID: <cuczhpzt400.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
Cc: 34189 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

[...]
>
> Sorry that this is taking so long, but at least we=E2=80=99re making prog=
ress!
> :-)
>
> Ludo=E2=80=99.

Don't worry I'm not very quick to answer myself and as long as we're
going forward, everything should be fine.

I join new patches for xarcan and arcan-wayland.

Thanks for your help!

Lprndn

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-xarcan.patch

From d94d5d01f46c006473c023620441f2f34d2f52c2 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:39:06 +0100
Subject: [PATCH] gnu: Add xarcan.

* gnu/packages/arcan.scm (xarcan): New variable.
---
 gnu/packages/arcan.scm | 71 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 71 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index aa32acfb9f..c7c81241f0 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -18,6 +18,7 @@
 
 (define-module (gnu packages arcan)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system gnu)
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -25,6 +26,7 @@
 
   #:use-module (gnu packages apr)
   #:use-module (gnu packages audio)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages fontutils)
@@ -40,8 +42,10 @@
   #:use-module (gnu packages ruby)
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages tls)
   #:use-module (gnu packages video)
   #:use-module (gnu packages xdisorg)
+  #:use-module (gnu packages xorg)
   #:use-module (srfi srfi-1))
 
 (define-public arcan
@@ -178,3 +182,70 @@ engine programmable using Lua.")
               "-DENABLE_LWA=on" "-DSTATIC_SQLITE3=off"
               "-DSTATIC_FREETYPE=off" "-DSHMIF_TUI_ACCEL=on")))))
     (synopsis "Combined display server, multimedia framework and game engine (sdl)")))
+
+(define-public xarcan
+  (let ((commit "8e6ee029388326cfe5cddeffe482eb3702e9b7f3")
+        (revision "1" ))
+    (package
+      (name "xarcan")
+      (version (git-version "0.5.4" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (file-name (git-file-name name version))
+         (uri (git-reference
+               (url "https://github.com/letoram/xarcan.git")
+               (commit commit)))
+         (sha256
+          (base32 "0zng7cs6733mnf0p6g5wv02981f2sf567n56csax6cmzb8fpamym"))))
+      (build-system gnu-build-system)
+      (arguments
+       `(#:configure-flags
+         `("--enable-kdrive" "--enable-xarcan"
+           "--disable-xorg" "--disable-xwayland"
+           "--disable-xnest" "--disable-xvfb"
+           "--enable-glamor" "--enable-glx"
+           "--disable-int10-module" "--enable-ipv6"
+           "--enable-record" "--without-systemd-daemon"
+           "--enable-xcsecurity" "--disable-static"
+           ,(string-append "--with-xkb-path="
+                           (assoc-ref %build-inputs "xkeyboard-config")
+                           "/share/X11/xkb")
+           ,(string-append "--with-xkb-bin-directory="
+                           (assoc-ref %build-inputs "xkbcomp")
+                           "/bin")
+           ,(string-append "--with-xkb-output="
+                           "/tmp"))     ; FIXME: Copied from xorg
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'noconfigure
+             (lambda _
+               (setenv "NOCONFIGURE" "true")
+               #t)))))
+      (native-inputs
+       `(("pkg-config" ,pkg-config)
+         ("autoconf" ,autoconf)
+         ("automake" ,automake)
+         ("libtool" ,libtool)
+         ("util-macros" ,util-macros)))
+      (inputs
+       `(("arcan" ,arcan)
+         ("font-util" ,font-util)
+         ("libdrm" ,libdrm)
+         ("libepoxy" ,libepoxy)
+         ("libkbfile" ,libxkbfile)
+         ("libressl" ,libressl)
+         ("libx11" ,libx11)
+         ("libxfont2" ,libxfont2)
+         ("mesa" ,mesa)
+         ("pixman" ,pixman)
+         ("xkeyboard-config" ,xkeyboard-config)
+         ("xkbcomp" ,xkbcomp)
+         ("xorgproto" ,xorgproto)
+         ("xtrans" ,xtrans)))
+      (home-page "https://arcan-fe.com")
+      (synopsis "Patched Xserver that bridges connections to Arcan")
+      (description "Patched Xserver with a KDrive backend that uses the arcan-shmif
+ to map Xlib/Xcb/X clients to a running arcan instance.  It allows running an X session
+as a window under Arcan.")
+      (license license:expat))))
-- 
2.20.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-arcan-wayland.patch

From eef364a45e520a6a9b34172b1ae0455d77a6c769 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:41:30 +0100
Subject: [PATCH] gnu: Add arcan-wayland.

* gnu/packages/arcan.scm (arcan-wayland): New variable.
---
 gnu/packages/arcan.scm | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index c7c81241f0..b59e5637be 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -30,11 +30,13 @@
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages libusb)
+  #:use-module (gnu packages linux)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages ocr)
   #:use-module (gnu packages pcre)
@@ -249,3 +251,35 @@ engine programmable using Lua.")
  to map Xlib/Xcb/X clients to a running arcan instance.  It allows running an X session
 as a window under Arcan.")
       (license license:expat))))
+
+(define-public arcan-wayland
+  (package
+    (inherit arcan)
+    (name "arcan-wayland")
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("arcan" ,arcan)
+       ("libseccomp" ,libseccomp)
+       ("libxkbcommon" ,libxkbcommon)
+       ("mesa" ,mesa)
+       ("wayland" ,wayland)
+       ("wayland-protocols" ,wayland-protocols)))
+    (arguments
+     `(#:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'chdir
+           (lambda _
+             (chdir "src/tools/waybridge")
+             #t))
+         (add-after 'unpack 'fix-cmake-find-shmif
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "src/platform/cmake/modules/Findarcan_shmif.cmake"
+               (("/usr/local") (assoc-ref inputs "arcan")))
+             #t)))))
+    (synopsis "Wayland protocol service for Arcan")
+    (description "Arcan-wayland (waybridge) bridges Wayland connections
+with an Arcan connection point.  It allows Wayland compatible clients
+to connect and render using Arcan.")
+    (license license:bsd-3)))
-- 
2.20.1


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 4 Mar 2019 14:10:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 04 09:10:55 2019
Received: from localhost ([127.0.0.1]:59247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1h0oIx-0004NM-33
	for submit <at> debbugs.gnu.org; Mon, 04 Mar 2019 09:10:55 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:37448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1h0oIu-0004N9-PM
 for 34189 <at> debbugs.gnu.org; Mon, 04 Mar 2019 09:10:53 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 356029C76;
 Mon,  4 Mar 2019 15:10:51 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 7i5pP6swCzkW; Mon,  4 Mar 2019 15:10:50 +0100 (CET)
Received: from ribbon (unknown [IPv6:2001:660:6102:320:e120:2c8f:8909:cdfe])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 253CD9C75;
 Mon,  4 Mar 2019 15:10:50 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: L p R n d n <guix@HIDDEN>
Subject: Re: [bug#34189] [PATCH] gnu: Add arcan.
References: <cuca7jqrzba.fsf@HIDDEN> <8736p08uwu.fsf@HIDDEN>
 <cucwombb7y5.fsf@HIDDEN> <87ftswr64a.fsf@HIDDEN>
 <cucsgwvo4w5.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 14 =?utf-8?Q?Vent=C3=B4se?= an 227 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 04 Mar 2019 15:10:49 +0100
In-Reply-To: <cucsgwvo4w5.fsf@HIDDEN> (L. p. R. n. d. n.'s message of
 "Sun, 10 Feb 2019 19:49:30 +0100")
Message-ID: <87o96qraqe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34189
Cc: 34189 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

L  p R n  d n    <guix@HIDDEN> skribis:

>> I think that =E2=80=9CLGPL=E2=80=9D means =E2=80=99lgpl2.0+=E2=80=99 tho=
ugh, not =E2=80=98lgpl2.0=E2=80=99.  Could you
>> check whether source files that have a GPL or LGPL license header carry
>> the =E2=80=9Cor any later version=E2=80=9D wording?
>
> From what I found, there are both lgpl2.0 and lgpl2.0+ in the package so
> I put both. I also added public-domain license as it seems quite a few
> files use it.

OK.

>> And the changes that were needed:
>>
>> diff --git a/gnu/local.mk b/gnu/local.mk
>> index 1ea8069308..97962110c4 100644
>> --- a/gnu/local.mk
>> +++ b/gnu/local.mk
>> @@ -65,6 +65,7 @@ GNU_SYSTEM_MODULES =3D				\
>>    %D%/packages/antivirus.scm			\
>>    %D%/packages/apl.scm				\
>>    %D%/packages/apr.scm				\
>> +  %D%/packages/arcan.scm			\
>>    %D%/packages/aspell.scm			\
>>    %D%/packages/assembly.scm			\
>>    %D%/packages/astronomy.scm			\
>> diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
>> index 9ff72a429b..e706f11edf 100644
>> --- a/gnu/packages/arcan.scm
>> +++ b/gnu/packages/arcan.scm
>> @@ -21,8 +21,6 @@
>>    #:use-module (guix git-download)
>>    #:use-module ((guix licenses) #:prefix license:)
>>    #:use-module (guix packages)
>> -  #:use-module (guix utils)

I re-added these changes.

> From d6c6aeb76c97c8f7a3eb68a115bf2cb59715bac2 Mon Sep 17 00:00:00 2001
> From: Lprndn <guix@HIDDEN>
> Date: Thu, 24 Jan 2019 13:29:21 +0100
> Subject: [PATCH] gnu: Add arcan.
>
> * gnu/packages/arcan.scm: New file.

Applied (with the changes above).  I confirm that it builds for me on
x86_64-linux.

> From 4517b292cc36382ee0b855e3a5caf6c3ba5f4c2d Mon Sep 17 00:00:00 2001
> From: Lprndn <guix@HIDDEN>
> Date: Thu, 24 Jan 2019 13:34:26 +0100
> Subject: [PATCH] gnu: Add arcan-sdl.
>
> * gnu/packages/arcan.scm (arcan-sdl): New variable.

Applied.

> From a0a69b664c3ada7522f42b8ea28ad08d8f39a5d4 Mon Sep 17 00:00:00 2001
> From: Lprndn <guix@HIDDEN>
> Date: Thu, 24 Jan 2019 13:39:06 +0100
> Subject: [PATCH] gnu: Add xarcan.
>
> * gnu/packages/arcan.scm (xarcan): New variable.

[...]

> +(define-public xarcan
> +  (package
> +    (name "xarcan")
> +    (version "0.5.4")
> +    (source
> +     (origin
> +       (method git-fetch)
> +       (file-name (git-file-name name version))
> +       (uri (git-reference
> +             (url "https://github.com/letoram/xarcan.git")
> +             (commit "8e6ee029388326cfe5cddeffe482eb3702e9b7f3")))
> +       (sha256
> +        (base32 "0zng7cs6733mnf0p6g5wv02981f2sf567n56csax6cmzb8fpamym"))=
))

Please use =E2=80=98git-version=E2=80=99 for the =E2=80=98version=E2=80=99 =
field, like you did for
=E2=80=98arcan=E2=80=99.

> +    (home-page "https://arcan-fe.com")
> +    (synopsis "Patched Xserver that bridges connections to Arcan")
> +    (description "Patched Xserver that bridges connections to Arcan.")

Please expound the description a bit=E2=80=94see
<https://gnu.org/s/guix/manual/en/html_node/Synopses-and-Descriptions.html>.

Sorry that this is taking so long, but at least we=E2=80=99re making progre=
ss!
:-)

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 10 Feb 2019 17:49:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 10 12:49:34 2019
Received: from localhost ([127.0.0.1]:42741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gstET-0007HZ-RR
	for submit <at> debbugs.gnu.org; Sun, 10 Feb 2019 12:49:34 -0500
Received: from mout01.posteo.de ([185.67.36.141]:55790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gstEQ-0007HL-NK
 for 34189 <at> debbugs.gnu.org; Sun, 10 Feb 2019 12:49:32 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id C383816005D
 for <34189 <at> debbugs.gnu.org>; Sun, 10 Feb 2019 18:49:24 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43yGdH2x44z6tmM;
 Sun, 10 Feb 2019 18:49:23 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#34189] [PATCH] gnu: Add arcan.
References: <cuca7jqrzba.fsf@HIDDEN> <8736p08uwu.fsf@HIDDEN>
 <cucwombb7y5.fsf@HIDDEN> <87ftswr64a.fsf@HIDDEN>
Date: Sun, 10 Feb 2019 19:49:30 +0100
In-Reply-To: <87ftswr64a.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 09 Feb 2019 22:42:29 +0100")
Message-ID: <cucsgwvo4w5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
Cc: 34189 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> It is indeed fairly complex.  To make things worse, the =E2=80=98COPYING=
=E2=80=99 file
> mixes licenses of arcan itself and licenses of its dependencies.  It
> would appear that that the 3 licenses you list above are those that
> matter indeed and the combination is presumably GPLv2+.
>
> I think that =E2=80=9CLGPL=E2=80=9D means =E2=80=99lgpl2.0+=E2=80=99 thou=
gh, not =E2=80=98lgpl2.0=E2=80=99.  Could you
> check whether source files that have a GPL or LGPL license header carry
> the =E2=80=9Cor any later version=E2=80=9D wording?

From what I found, there are both lgpl2.0 and lgpl2.0+ in the package so
I put both. I also added public-domain license as it seems quite a few
files use it.

>> From 5fba415f14018b66439520eedab1997c688fa158 Mon Sep 17 00:00:00 2001
>> From: Lprndn <guix@HIDDEN>
>> Date: Thu, 24 Jan 2019 13:29:21 +0100
>> Subject: [PATCH] gnu: Add arcan.
>>
>> * gnu/packages/arcan.scm: New file.
>
> With this patch and the changes below, I get:
>
> [ 73%] Performing build step for 'openal_lwa'
> cd /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/build/openal_lwa_=
static && /gnu/store/a97p7wsm6y2g3qixx6hl9lzl2g0m3xpb-cmake-3.13.1/bin/cmak=
e -Dmake=3Dmake -P /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/bui=
ld/openal_lwa-prefix/src/openal_lwa-stamp/openal_lwa-build-RelWithDebInfo.c=
make
> [ 74%] Building C object CMakeFiles/arcan.dir/platform/posix/psep_open.c.o
> /gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/bin/gcc -DFRAMESERV=
ER_MODESTRING=3D"\"terminal game net decode encode encode avfeed \"" -DOPEN=
GL -DPLATFORM_HEADER=3D\"/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/sour=
ce/src/platform/platform.h\" -DPOSIX_C_SOURCE -DUSB_SUPPORT -D_GNU_SOURCE -=
D__LINUX -D__UNIX -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/sr=
c/shmif/../shmif -I/gnu/store/j6g996l8kxxv8c76a9c61n3gi4s0wvdr-mesa-18.3.1/=
include -I/gnu/store/j4pb0w8pn0kzy7v8lxcgf49jximznlh2-libdrm-2.4.96/include=
/libdrm -I/gnu/store/8vcxd51d6n0sn2qmdn5m5c5pqr6bppn6-libxkbcommon-0.8.2/in=
clude -I/gnu/store/mn9zmy5r2ja71i7slmbaaf2p6yp5bwk5-luajit-2.1.0-beta3/incl=
ude/luajit-2.1 -I/gnu/store/apnls761623b73ky5xj0jwsbip8kz48f-openal-1.19.1/=
include/AL -I/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/inc=
lude/freetype2 -I/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/=
include -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/platform=
 -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/../external -I/=
tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/engine -I/gnu/store=
/k8cixdby57xrmwqycc5870pb7gjv46z8-libusb-1.0.22/include/libusb-1.0  -O2 -g =
-DNDEBUG   -Wall -Wno-missing-braces -Wno-unused-function -Wno-unused-value=
 -Wno-unused-variable -Wformat=3D0 -std=3Dgnu11 -o CMakeFiles/arcan.dir/pla=
tform/posix/psep_open.c.o   -c /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-=
0/source/src/platform/posix/psep_open.c
> [ 74%] Building C object CMakeFiles/arcan.dir/platform/agp/glshared.c.o
> /gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/bin/gcc -DFRAMESERV=
ER_MODESTRING=3D"\"terminal game net decode encode encode avfeed \"" -DOPEN=
GL -DPLATFORM_HEADER=3D\"/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/sour=
ce/src/platform/platform.h\" -DPOSIX_C_SOURCE -DUSB_SUPPORT -D_GNU_SOURCE -=
D__LINUX -D__UNIX -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/sr=
c/shmif/../shmif -I/gnu/store/j6g996l8kxxv8c76a9c61n3gi4s0wvdr-mesa-18.3.1/=
include -I/gnu/store/j4pb0w8pn0kzy7v8lxcgf49jximznlh2-libdrm-2.4.96/include=
/libdrm -I/gnu/store/8vcxd51d6n0sn2qmdn5m5c5pqr6bppn6-libxkbcommon-0.8.2/in=
clude -I/gnu/store/mn9zmy5r2ja71i7slmbaaf2p6yp5bwk5-luajit-2.1.0-beta3/incl=
ude/luajit-2.1 -I/gnu/store/apnls761623b73ky5xj0jwsbip8kz48f-openal-1.19.1/=
include/AL -I/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/inc=
lude/freetype2 -I/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/=
include -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/platform=
 -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/../external -I/=
tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/engine -I/gnu/store=
/k8cixdby57xrmwqycc5870pb7gjv46z8-libusb-1.0.22/include/libusb-1.0  -O2 -g =
-DNDEBUG   -Wall -Wno-missing-braces -Wno-unused-function -Wno-unused-value=
 -Wno-unused-variable -Wformat=3D0 -std=3Dgnu11 -o CMakeFiles/arcan.dir/pla=
tform/agp/glshared.c.o   -c /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/s=
ource/src/platform/agp/glshared.c
> [ 75%] Building C object CMakeFiles/arcan.dir/platform/agp/shdrmgmt.c.o
> /gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/bin/gcc -DFRAMESERV=
ER_MODESTRING=3D"\"terminal game net decode encode encode avfeed \"" -DOPEN=
GL -DPLATFORM_HEADER=3D\"/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/sour=
ce/src/platform/platform.h\" -DPOSIX_C_SOURCE -DUSB_SUPPORT -D_GNU_SOURCE -=
D__LINUX -D__UNIX -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/sr=
c/shmif/../shmif -I/gnu/store/j6g996l8kxxv8c76a9c61n3gi4s0wvdr-mesa-18.3.1/=
include -I/gnu/store/j4pb0w8pn0kzy7v8lxcgf49jximznlh2-libdrm-2.4.96/include=
/libdrm -I/gnu/store/8vcxd51d6n0sn2qmdn5m5c5pqr6bppn6-libxkbcommon-0.8.2/in=
clude -I/gnu/store/mn9zmy5r2ja71i7slmbaaf2p6yp5bwk5-luajit-2.1.0-beta3/incl=
ude/luajit-2.1 -I/gnu/store/apnls761623b73ky5xj0jwsbip8kz48f-openal-1.19.1/=
include/AL -I/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/inc=
lude/freetype2 -I/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/=
include -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/platform=
 -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/../external -I/=
tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/engine -I/gnu/store=
/k8cixdby57xrmwqycc5870pb7gjv46z8-libusb-1.0.22/include/libusb-1.0  -O2 -g =
-DNDEBUG   -Wall -Wno-missing-braces -Wno-unused-function -Wno-unused-value=
 -Wno-unused-variable -Wformat=3D0 -std=3Dgnu11 -o CMakeFiles/arcan.dir/pla=
tform/agp/shdrmgmt.c.o   -c /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/s=
ource/src/platform/agp/shdrmgmt.c
> CMake Error at /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/build=
/openal_lwa-prefix/src/openal_lwa-stamp/openal_lwa-build-RelWithDebInfo.cma=
ke:16 (message):
>   Command failed: 2
>
>    'make'
>
>   See also
>
>     /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/build/openal_lwa=
-prefix/src/openal_lwa-stamp/openal_lwa-build-*.log
>
>
> make[2]: *** [CMakeFiles/openal_lwa.dir/build.make:114: openal_lwa-prefix=
/src/openal_lwa-stamp/openal_lwa-build] Error 1
> make[2]: Leaving directory '/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0=
/source/build'
> make[1]: *** [CMakeFiles/Makefile2:116: CMakeFiles/openal_lwa.dir/all] Er=
ror 2
>
> And the changes that were needed:
>
> diff --git a/gnu/local.mk b/gnu/local.mk
> index 1ea8069308..97962110c4 100644
> --- a/gnu/local.mk
> +++ b/gnu/local.mk
> @@ -65,6 +65,7 @@ GNU_SYSTEM_MODULES =3D				\
>    %D%/packages/antivirus.scm			\
>    %D%/packages/apl.scm				\
>    %D%/packages/apr.scm				\
> +  %D%/packages/arcan.scm			\
>    %D%/packages/aspell.scm			\
>    %D%/packages/assembly.scm			\
>    %D%/packages/astronomy.scm			\
> diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
> index 9ff72a429b..e706f11edf 100644
> --- a/gnu/packages/arcan.scm
> +++ b/gnu/packages/arcan.scm
> @@ -21,8 +21,6 @@
>    #:use-module (guix git-download)
>    #:use-module ((guix licenses) #:prefix license:)
>    #:use-module (guix packages)
> -  #:use-module (guix utils)
> -
>    #:use-module (gnu packages apr)
>    #:use-module (gnu packages audio)
>    #:use-module (gnu packages compression)
> @@ -38,6 +36,7 @@
>    #:use-module (gnu packages pcre)
>    #:use-module (gnu packages pkg-config)
>    #:use-module (gnu packages ruby)
> +  #:use-module (gnu packages sqlite)
>    #:use-module (gnu packages video)
>    #:use-module (gnu packages xdisorg))

Unfortunately, I didn't manage to build the package with the changes you
provided. I don't know what changed but after some investigation it
seemed that arcan-openal wasn't found during build process. I switched
from symlink to full copy-recursively and it seems to be ok now. Can you
confirm?

I join the 3 first patches again as some conflicts arised from he
changes.

Thanks!
Have a nice day,

Lprndn


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: attachment; filename=0001-gnu-Add-arcan.patch
Content-Transfer-Encoding: quoted-printable

From d6c6aeb76c97c8f7a3eb68a115bf2cb59715bac2 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:29:21 +0100
Subject: [PATCH] gnu: Add arcan.

* gnu/packages/arcan.scm: New file.
---
 gnu/packages/arcan.scm | 160 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 160 insertions(+)
 create mode 100644 gnu/packages/arcan.scm

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
new file mode 100644
index 0000000000..de2a839c13
--- /dev/null
+++ b/gnu/packages/arcan.scm
@@ -0,0 +1,160 @@
+;;; GNU Guix --- Functional package management for GNU
+;;; Copyright =C2=A9 2019, L  p R n  d n <guix@HIDDEN>
+;;;
+;;; This file is part of GNU Guix.
+;;;
+;;; GNU Guix is free software; you can redistribute it and/or modify it
+;;; under the terms of the GNU General Public License as published by
+;;; the Free Software Foundation; either version 3 of the License, or (at
+;;; your option) any later version.
+;;;
+;;; GNU Guix is distributed in the hope that it will be useful, but
+;;; WITHOUT ANY WARRANTY; without even the implied warranty of
+;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;;; GNU General Public License for more details.
+;;;
+;;; You should have received a copy of the GNU General Public License
+;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.
+
+(define-module (gnu packages arcan)
+  #:use-module (guix build-system cmake)
+  #:use-module (guix git-download)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix packages)
+  #:use-module (guix utils)
+
+  #:use-module (gnu packages apr)
+  #:use-module (gnu packages audio)
+  #:use-module (gnu packages compression)
+  #:use-module (gnu packages databases)
+  #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages gl)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages gtk)
+  #:use-module (gnu packages image)
+  #:use-module (gnu packages libusb)
+  #:use-module (gnu packages lua)
+  #:use-module (gnu packages ocr)
+  #:use-module (gnu packages pcre)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages ruby)
+  #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages video)
+  #:use-module (gnu packages xdisorg))
+
+(define-public arcan
+  (let ((commit "b4dd1fbd1938492ff4b269189d3c8524be7450a9")
+        (revision "1"))
+    (package
+      (name "arcan")
+      (version (git-version "0.5.5.2" revision commit))
+      (source (origin
+                (method git-fetch)
+                (file-name (git-file-name name version))
+                (uri (git-reference
+                      (url "https://github.com/letoram/arcan.git")
+                      (commit commit)))
+                (sha256
+                 (base32 "1pd0avlzc2rig1hd37zbhc7r2s6fjzdhshfg9l9cfzibl7ca=
clyw"))))
+      (build-system cmake-build-system)
+      (arguments
+       `(#:configure-flags '("-DVIDEO_PLATFORM=3Degl-dri" "-DBUILTIN_LUA=
=3Doff"
+                             "-DSTATIC_OPENAL=3Doff""-DENABLE_LWA=3Don"
+                             "-DSTATIC_SQLITE3=3Doff" "-DSTATIC_FREETYPE=
=3Doff"
+                             "-DSHMIF_TUI_ACCEL=3Don")
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'fix-cmake-paths
+             (lambda* (#:key inputs #:allow-other-keys)
+               (substitute* "src/platform/cmake/modules/FindGBMKMS.cmake"
+                 (("/usr/local/include/libdrm")
+                  (string-append (assoc-ref inputs "libdrm")
+                                 "/include/libdrm")))
+               (substitute* "src/platform/cmake/modules/FindAPR.cmake"
+                 (("/usr/local/apr/include/apr-1")
+                  (string-append (assoc-ref inputs "apr")
+                                 "/include/apr-1")))
+               #t))
+           ;; Normally, it tries to fetch patched openal with git
+           ;; but copying files manually in the right place seems to work =
too.
+           (add-after 'unpack 'prepare-static-openal
+             (lambda* (#:key inputs #:allow-other-keys)
+               (let ((arcan-openal (assoc-ref inputs "arcan-openal")))
+                 (copy-recursively arcan-openal "external/git/openal"))
+               #t))
+           (add-after 'prepare-static-openal 'generate-man
+             (lambda _
+               (with-directory-excursion "doc"
+                 (invoke "ruby" "docgen.rb" "mangen"))
+               #t))
+           (add-before 'configure 'chdir
+             (lambda _
+               (chdir "src")
+               #t))
+           (add-after 'install 'wrap-program
+             (lambda* (#:key outputs #:allow-other-keys)
+               (let ((out (assoc-ref outputs "out")))
+                 (wrap-program (string-append out "/bin/arcan")
+                   `("ARCAN_RESOURCEPATH" ":" suffix
+                     (,(string-append out "/share/arcan/resources")))
+                   `("ARCAN_STATEBASEPATH" ":" =3D
+                     ("$HOME/.arcan/resources/savestates"))
+                   `("ARCAN_STATEPATH" ":" =3D
+                     ("$HOME/.arcan/resources/savestates"))
+                   `("ARCAN_BINPATH" ":" =3D
+                     (,(string-append out "/bin/arcan_frameserver")))))
+               #t)))
+         #:tests? #f))
+      (native-search-paths
+       (list (search-path-specification
+              (variable "ARCAN_APPLBASEPATH")
+              (separator #f)
+              (files '("share/arcan/appl")))
+             (search-path-specification
+              (variable "ARCAN_SCRIPTPATH")
+              (separator #f)
+              (files '("share/arcan/scripts")))))
+      (inputs
+       `(("apr" ,apr)
+         ("ffmpeg" ,ffmpeg)
+         ("freetype" ,freetype)
+         ("glib" ,glib)
+         ("glu" ,glu)
+         ("harfbuzz" ,harfbuzz)
+         ("libdrm" ,libdrm)
+         ("libusb" ,libusb)
+         ("libxkbcommon" ,libxkbcommon)
+         ("lua" ,luajit)
+         ("lzip" ,lzip)
+         ("openal" ,openal)
+         ("pcre" ,pcre)
+         ("sqlite" ,sqlite)
+         ("tesseract-ocr" ,tesseract-ocr)
+         ("leptonica" ,leptonica)
+         ("vlc" ,vlc)
+         ;;  To build arcan_lwa, we need a patched version of openal.
+         ;; https://github.com/letoram/arcan/wiki/packaging
+         ("arcan-openal" ,(origin
+                            (method git-fetch)
+                            (file-name "arcan-openal-0.5.4")
+                            (uri (git-reference
+                                  (url "https://github.com/letoram/openal.=
git")
+                                  (commit "1c7302c580964fee9ee9e1d89ff56d2=
4f934bdef")))
+                            (sha256
+                             (base32
+                              "0dcxcnqjkyyqdr2yk84mprvkncy5g172kfs6vc4zrkk=
lsbkr8yi2"))))))
+      (native-inputs
+       `(("pkg-config" ,pkg-config)
+         ("ruby" ,ruby)))               ; For documentation and testing
+      (home-page "https://arcan-fe.com")
+      (synopsis "Display server, multimedia framework and game engine (egl=
-dri)")
+      (description "Arcan is a development framework for creating virtually
+anything from user interfaces for specialized embedded applications
+all the way to full-blown desktop environments.  At its heart lies a multi=
media
+engine programmable using Lua.")
+      ;; https://github.com/letoram/arcan/blob/master/COPYING
+      (license (list license:gpl2+
+                     license:lgpl2.0
+                     license:lgpl2.0+
+                     license:public-domain
+                     license:bsd-3)))))
--=20
2.19.2


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-arcan-sdl.patch

From 4517b292cc36382ee0b855e3a5caf6c3ba5f4c2d Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:34:26 +0100
Subject: [PATCH] gnu: Add arcan-sdl.

* gnu/packages/arcan.scm (arcan-sdl): New variable.
---
 gnu/packages/arcan.scm | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index de2a839c13..aa32acfb9f 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -38,9 +38,11 @@
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages ruby)
+  #:use-module (gnu packages sdl)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages video)
-  #:use-module (gnu packages xdisorg))
+  #:use-module (gnu packages xdisorg)
+  #:use-module (srfi srfi-1))
 
 (define-public arcan
   (let ((commit "b4dd1fbd1938492ff4b269189d3c8524be7450a9")
@@ -158,3 +160,21 @@ engine programmable using Lua.")
                      license:lgpl2.0+
                      license:public-domain
                      license:bsd-3)))))
+
+(define-public arcan-sdl
+  (package
+    (inherit arcan)
+    (name "arcan-sdl")
+    (inputs
+     `(("sdl" ,sdl)
+       ,@(fold alist-delete (package-inputs arcan)
+               '("libdrm"))))
+    (arguments
+     `(,@(ensure-keyword-arguments
+          (package-arguments arcan)
+          '(#:configure-flags
+            '("-DVIDEO_PLATFORM=sdl" "-DBUILTIN_LUA=off"
+              "-DSTATIC_OPENAL=off" "-DDISABLE_JIT=off"
+              "-DENABLE_LWA=on" "-DSTATIC_SQLITE3=off"
+              "-DSTATIC_FREETYPE=off" "-DSHMIF_TUI_ACCEL=on")))))
+    (synopsis "Combined display server, multimedia framework and game engine (sdl)")))
-- 
2.19.2


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-xarcan.patch

From a0a69b664c3ada7522f42b8ea28ad08d8f39a5d4 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:39:06 +0100
Subject: [PATCH] gnu: Add xarcan.

* gnu/packages/arcan.scm (xarcan): New variable.
---
 gnu/packages/arcan.scm | 67 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index aa32acfb9f..ba1526f10b 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -18,6 +18,7 @@
 
 (define-module (gnu packages arcan)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system gnu)
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -25,6 +26,7 @@
 
   #:use-module (gnu packages apr)
   #:use-module (gnu packages audio)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages fontutils)
@@ -40,8 +42,10 @@
   #:use-module (gnu packages ruby)
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages sqlite)
+  #:use-module (gnu packages tls)
   #:use-module (gnu packages video)
   #:use-module (gnu packages xdisorg)
+  #:use-module (gnu packages xorg)
   #:use-module (srfi srfi-1))
 
 (define-public arcan
@@ -178,3 +182,66 @@ engine programmable using Lua.")
               "-DENABLE_LWA=on" "-DSTATIC_SQLITE3=off"
               "-DSTATIC_FREETYPE=off" "-DSHMIF_TUI_ACCEL=on")))))
     (synopsis "Combined display server, multimedia framework and game engine (sdl)")))
+
+(define-public xarcan
+  (package
+    (name "xarcan")
+    (version "0.5.4")
+    (source
+     (origin
+       (method git-fetch)
+       (file-name (git-file-name name version))
+       (uri (git-reference
+             (url "https://github.com/letoram/xarcan.git")
+             (commit "8e6ee029388326cfe5cddeffe482eb3702e9b7f3")))
+       (sha256
+        (base32 "0zng7cs6733mnf0p6g5wv02981f2sf567n56csax6cmzb8fpamym"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:configure-flags
+       `("--enable-kdrive" "--enable-xarcan"
+         "--disable-xorg" "--disable-xwayland"
+         "--disable-xnest" "--disable-xvfb"
+         "--enable-glamor" "--enable-glx"
+         "--disable-int10-module" "--enable-ipv6"
+         "--enable-record" "--without-systemd-daemon"
+         "--enable-xcsecurity" "--disable-static"
+         ,(string-append "--with-xkb-path="
+                         (assoc-ref %build-inputs "xkeyboard-config")
+                         "/share/X11/xkb")
+         ,(string-append "--with-xkb-bin-directory="
+                         (assoc-ref %build-inputs "xkbcomp")
+                         "/bin")
+         ,(string-append "--with-xkb-output="
+                         "/tmp"))       ; FIXME: Copied from xorg
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'noconfigure
+           (lambda _
+             (setenv "NOCONFIGURE" "true")
+             #t)))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("libtool" ,libtool)
+       ("util-macros" ,util-macros)))
+    (inputs
+     `(("arcan" ,arcan)
+       ("font-util" ,font-util)
+       ("libdrm" ,libdrm)
+       ("libepoxy" ,libepoxy)
+       ("libkbfile" ,libxkbfile)
+       ("libressl" ,libressl)
+       ("libx11" ,libx11)
+       ("libxfont2" ,libxfont2)
+       ("mesa" ,mesa)
+       ("pixman" ,pixman)
+       ("xkeyboard-config" ,xkeyboard-config)
+       ("xkbcomp" ,xkbcomp)
+       ("xorgproto" ,xorgproto)
+       ("xtrans" ,xtrans)))
+    (home-page "https://arcan-fe.com")
+    (synopsis "Patched Xserver that bridges connections to Arcan")
+    (description "Patched Xserver that bridges connections to Arcan.")
+    (license license:expat)))
-- 
2.19.2


--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 9 Feb 2019 21:42:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 09 16:42:35 2019
Received: from localhost ([127.0.0.1]:41598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gsaOR-00073y-5h
	for submit <at> debbugs.gnu.org; Sat, 09 Feb 2019 16:42:35 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:54858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gsaOP-00073p-0C
 for 34189 <at> debbugs.gnu.org; Sat, 09 Feb 2019 16:42:34 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 8F98EDDF3;
 Sat,  9 Feb 2019 22:42:31 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id hccfEgMd6j8r; Sat,  9 Feb 2019 22:42:30 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 741AADDD4;
 Sat,  9 Feb 2019 22:42:30 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: L p R n d n <guix@HIDDEN>
Subject: Re: [bug#34189] [PATCH] gnu: Add arcan.
In-Reply-To: <cucwombb7y5.fsf@HIDDEN> (L. p. R. n. d. n.'s message of
 "Thu, 07 Feb 2019 22:32:50 +0100")
References: <cuca7jqrzba.fsf@HIDDEN> <8736p08uwu.fsf@HIDDEN>
 <cucwombb7y5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 21 =?utf-8?Q?Pluvi=C3=B4se?= an 227 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 09 Feb 2019 22:42:29 +0100
Message-ID: <87ftswr64a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34189
Cc: 34189 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello!

(Please keep 34189 <at> debbugs.gnu.org Cc=E2=80=99d.)

L  p R n  d n    <guix@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

[...]

>> Did you try vanilla OpenAL instead?  If you have a pointer to a page
>> explaining why this variant is needed, that=E2=80=99d be great!  Also pl=
ease add
>> a =E2=80=98file-name=E2=80=99 for this =E2=80=98origin=E2=80=99.
>
> Vanilla OpenAl is used for the biggest part of the build but the patched
> version is needed to build arcan_lwa. I put a link to packaging
> guidelines. Is it enough?

Yes (at least upstream does recognize that it=E2=80=99s =E2=80=9Csub-optima=
l=E2=80=9D, so
there=E2=80=99s hope ;-)).

>>> +    (license (list license:gpl2+
>>> +                   license:lgpl2.0
>>> +                   license:bsd-3))))
>>
>> Could you add a comment above explaining the meaning of the list
>> (whether it=E2=80=99s triple-licensed or what)?
>
> I also put a link for that. Licenses here seem a little complexe and a bit
> out of my reach. Should I put all the licenses used in COPYING file?

It is indeed fairly complex.  To make things worse, the =E2=80=98COPYING=E2=
=80=99 file
mixes licenses of arcan itself and licenses of its dependencies.  It
would appear that that the 3 licenses you list above are those that
matter indeed and the combination is presumably GPLv2+.

I think that =E2=80=9CLGPL=E2=80=9D means =E2=80=99lgpl2.0+=E2=80=99 though=
, not =E2=80=98lgpl2.0=E2=80=99.  Could you
check whether source files that have a GPL or LGPL license header carry
the =E2=80=9Cor any later version=E2=80=9D wording?

> From 5fba415f14018b66439520eedab1997c688fa158 Mon Sep 17 00:00:00 2001
> From: Lprndn <guix@HIDDEN>
> Date: Thu, 24 Jan 2019 13:29:21 +0100
> Subject: [PATCH] gnu: Add arcan.
>
> * gnu/packages/arcan.scm: New file.

With this patch and the changes below, I get:

--8<---------------cut here---------------start------------->8---
[ 73%] Performing build step for 'openal_lwa'
cd /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/build/openal_lwa_st=
atic && /gnu/store/a97p7wsm6y2g3qixx6hl9lzl2g0m3xpb-cmake-3.13.1/bin/cmake =
-Dmake=3Dmake -P /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/build=
/openal_lwa-prefix/src/openal_lwa-stamp/openal_lwa-build-RelWithDebInfo.cma=
ke
[ 74%] Building C object CMakeFiles/arcan.dir/platform/posix/psep_open.c.o
/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/bin/gcc -DFRAMESERVER=
_MODESTRING=3D"\"terminal game net decode encode encode avfeed \"" -DOPENGL=
 -DPLATFORM_HEADER=3D\"/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source=
/src/platform/platform.h\" -DPOSIX_C_SOURCE -DUSB_SUPPORT -D_GNU_SOURCE -D_=
_LINUX -D__UNIX -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/=
shmif/../shmif -I/gnu/store/j6g996l8kxxv8c76a9c61n3gi4s0wvdr-mesa-18.3.1/in=
clude -I/gnu/store/j4pb0w8pn0kzy7v8lxcgf49jximznlh2-libdrm-2.4.96/include/l=
ibdrm -I/gnu/store/8vcxd51d6n0sn2qmdn5m5c5pqr6bppn6-libxkbcommon-0.8.2/incl=
ude -I/gnu/store/mn9zmy5r2ja71i7slmbaaf2p6yp5bwk5-luajit-2.1.0-beta3/includ=
e/luajit-2.1 -I/gnu/store/apnls761623b73ky5xj0jwsbip8kz48f-openal-1.19.1/in=
clude/AL -I/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/inclu=
de/freetype2 -I/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/in=
clude -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/platform -=
I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/../external -I/tm=
p/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/engine -I/gnu/store/k=
8cixdby57xrmwqycc5870pb7gjv46z8-libusb-1.0.22/include/libusb-1.0  -O2 -g -D=
NDEBUG   -Wall -Wno-missing-braces -Wno-unused-function -Wno-unused-value -=
Wno-unused-variable -Wformat=3D0 -std=3Dgnu11 -o CMakeFiles/arcan.dir/platf=
orm/posix/psep_open.c.o   -c /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/=
source/src/platform/posix/psep_open.c
[ 74%] Building C object CMakeFiles/arcan.dir/platform/agp/glshared.c.o
/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/bin/gcc -DFRAMESERVER=
_MODESTRING=3D"\"terminal game net decode encode encode avfeed \"" -DOPENGL=
 -DPLATFORM_HEADER=3D\"/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source=
/src/platform/platform.h\" -DPOSIX_C_SOURCE -DUSB_SUPPORT -D_GNU_SOURCE -D_=
_LINUX -D__UNIX -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/=
shmif/../shmif -I/gnu/store/j6g996l8kxxv8c76a9c61n3gi4s0wvdr-mesa-18.3.1/in=
clude -I/gnu/store/j4pb0w8pn0kzy7v8lxcgf49jximznlh2-libdrm-2.4.96/include/l=
ibdrm -I/gnu/store/8vcxd51d6n0sn2qmdn5m5c5pqr6bppn6-libxkbcommon-0.8.2/incl=
ude -I/gnu/store/mn9zmy5r2ja71i7slmbaaf2p6yp5bwk5-luajit-2.1.0-beta3/includ=
e/luajit-2.1 -I/gnu/store/apnls761623b73ky5xj0jwsbip8kz48f-openal-1.19.1/in=
clude/AL -I/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/inclu=
de/freetype2 -I/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/in=
clude -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/platform -=
I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/../external -I/tm=
p/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/engine -I/gnu/store/k=
8cixdby57xrmwqycc5870pb7gjv46z8-libusb-1.0.22/include/libusb-1.0  -O2 -g -D=
NDEBUG   -Wall -Wno-missing-braces -Wno-unused-function -Wno-unused-value -=
Wno-unused-variable -Wformat=3D0 -std=3Dgnu11 -o CMakeFiles/arcan.dir/platf=
orm/agp/glshared.c.o   -c /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/sou=
rce/src/platform/agp/glshared.c
[ 75%] Building C object CMakeFiles/arcan.dir/platform/agp/shdrmgmt.c.o
/gnu/store/n2p1zs14y89lwkg9da68y12pc10c6sw9-gcc-5.5.0/bin/gcc -DFRAMESERVER=
_MODESTRING=3D"\"terminal game net decode encode encode avfeed \"" -DOPENGL=
 -DPLATFORM_HEADER=3D\"/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source=
/src/platform/platform.h\" -DPOSIX_C_SOURCE -DUSB_SUPPORT -D_GNU_SOURCE -D_=
_LINUX -D__UNIX -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/=
shmif/../shmif -I/gnu/store/j6g996l8kxxv8c76a9c61n3gi4s0wvdr-mesa-18.3.1/in=
clude -I/gnu/store/j4pb0w8pn0kzy7v8lxcgf49jximznlh2-libdrm-2.4.96/include/l=
ibdrm -I/gnu/store/8vcxd51d6n0sn2qmdn5m5c5pqr6bppn6-libxkbcommon-0.8.2/incl=
ude -I/gnu/store/mn9zmy5r2ja71i7slmbaaf2p6yp5bwk5-luajit-2.1.0-beta3/includ=
e/luajit-2.1 -I/gnu/store/apnls761623b73ky5xj0jwsbip8kz48f-openal-1.19.1/in=
clude/AL -I/gnu/store/5dnkbi6zchkisgwx2914k0iafllcvv93-freetype-2.9.1/inclu=
de/freetype2 -I/gnu/store/pba3xzrkq2k4wgh3arif4xpkblr5qz2n-sqlite-3.24.0/in=
clude -I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/platform -=
I/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/../external -I/tm=
p/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/src/engine -I/gnu/store/k=
8cixdby57xrmwqycc5870pb7gjv46z8-libusb-1.0.22/include/libusb-1.0  -O2 -g -D=
NDEBUG   -Wall -Wno-missing-braces -Wno-unused-function -Wno-unused-value -=
Wno-unused-variable -Wformat=3D0 -std=3Dgnu11 -o CMakeFiles/arcan.dir/platf=
orm/agp/shdrmgmt.c.o   -c /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/sou=
rce/src/platform/agp/shdrmgmt.c
CMake Error at /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/build/o=
penal_lwa-prefix/src/openal_lwa-stamp/openal_lwa-build-RelWithDebInfo.cmake=
:16 (message):
  Command failed: 2

   'make'

  See also

    /tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/source/build/openal_lwa-p=
refix/src/openal_lwa-stamp/openal_lwa-build-*.log


make[2]: *** [CMakeFiles/openal_lwa.dir/build.make:114: openal_lwa-prefix/s=
rc/openal_lwa-stamp/openal_lwa-build] Error 1
make[2]: Leaving directory '/tmp/guix-build-arcan-0.5.5.2-1.b4dd1fb.drv-0/s=
ource/build'
make[1]: *** [CMakeFiles/Makefile2:116: CMakeFiles/openal_lwa.dir/all] Erro=
r 2
--8<---------------cut here---------------end--------------->8---

And the changes that were needed:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/gnu/local.mk b/gnu/local.mk
index 1ea8069308..97962110c4 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -65,6 +65,7 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/antivirus.scm			\
   %D%/packages/apl.scm				\
   %D%/packages/apr.scm				\
+  %D%/packages/arcan.scm			\
   %D%/packages/aspell.scm			\
   %D%/packages/assembly.scm			\
   %D%/packages/astronomy.scm			\
diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index 9ff72a429b..e706f11edf 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -21,8 +21,6 @@
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
-  #:use-module (guix utils)
-
   #:use-module (gnu packages apr)
   #:use-module (gnu packages audio)
   #:use-module (gnu packages compression)
@@ -38,6 +36,7 @@
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages ruby)
+  #:use-module (gnu packages sqlite)
   #:use-module (gnu packages video)
   #:use-module (gnu packages xdisorg))
 

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: base64

DQpUaGFua3MsDQpMdWRv4oCZLg0K
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 6 Feb 2019 21:32:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 06 16:32:56 2019
Received: from localhost ([127.0.0.1]:36251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1grUoR-0000TU-ME
	for submit <at> debbugs.gnu.org; Wed, 06 Feb 2019 16:32:55 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:54142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1grUoP-0000TI-6a
 for 34189 <at> debbugs.gnu.org; Wed, 06 Feb 2019 16:32:54 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 4594C9436;
 Wed,  6 Feb 2019 22:32:51 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id nmAJ3n9edDSO; Wed,  6 Feb 2019 22:32:50 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 474E29358;
 Wed,  6 Feb 2019 22:32:50 +0100 (CET)
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: L p R n d n <guix@HIDDEN>
Subject: Re: [bug#34189] [PATCH] gnu: Add arcan.
References: <cuca7jqrzba.fsf@HIDDEN>
Date: Wed, 06 Feb 2019 22:32:49 +0100
In-Reply-To: <cuca7jqrzba.fsf@HIDDEN> (L. p. R. n. d. n.'s message of
 "Thu, 24 Jan 2019 13:54:17 +0100")
Message-ID: <8736p08uwu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 34189
Cc: 34189 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hello,

Sorry for the delay!  Here are some comments.

L  p R n  d n    <guix@HIDDEN> skribis:

>>From f1d5416c9d7a8a5ba5ecb4d380d06ee066b62a29 Mon Sep 17 00:00:00 2001
> From: Lprndn <guix@HIDDEN>
> Date: Thu, 24 Jan 2019 13:29:21 +0100
> Subject: [PATCH] gnu: Add arcan.
>
> * gnu/packages/arcan.scm New module.
> * gnu/packages/arcan.scm (arcan): New variable.

Should be just:

  * gnu/packages/arcan.scm: New file.

> +++ b/gnu/packages/arcan.scm
> @@ -0,0 +1,130 @@
> +(define-module (gnu packages arcan)

Please add the standard GPLv3+ header with a copyright line for yourself.

> +  (package
> +    (name "arcan")
> +    (version "0.5.5.2")                 ;A few commits ahead, really. To=
 fix some bugs.

Please use the versioning scheme for Git snapshots explained here:

  https://www.gnu.org/software/guix/manual/en/html_node/Version-Numbers.html

> +                 `("ARCAN_SCRIPTPATH" ":" suffix
> +                   (,(string-append out "/share/arcan/scripts")))))

[...]

> +    (native-search-paths
> +     (list (search-path-specification
> +            (variable "ARCAN_APPLBASEPATH")
> +            (separator #f)
> +            (files '("share/arcan/appl")))))

Should ARCAN_SCRIPTPATH also be here?

> +       ("arcan-openal" ,(origin
> +                          (method git-fetch)
> +                          (uri (git-reference
> +                                (url "https://github.com/letoram/openal.=
git")
> +                                (commit "1c7302c580964fee9ee9e1d89ff56d2=
4f934bdef")))
> +                          (sha256
> +                           (base32
> +                            "0dcxcnqjkyyqdr2yk84mprvkncy5g172kfs6vc4zrkk=
lsbkr8yi2"))))))

Did you try vanilla OpenAL instead?  If you have a pointer to a page
explaining why this variant is needed, that=E2=80=99d be great!  Also pleas=
e add
a =E2=80=98file-name=E2=80=99 for this =E2=80=98origin=E2=80=99.

> +    (native-inputs
> +     `(("pkg-config" ,pkg-config)
> +       ("ruby" ,ruby)))                 ; For documentation and testing
> +    (home-page "https://arcan-fe.com")
> +    (synopsis "Combined display server, multimedia framework and game en=
gine (egl-dri)")

Maybe just =E2=80=9CMultimedia framework and game engine=E2=80=9D?

> +    (description "Arcan is a powerful development framework for creating=
 virtually
> +anything from user interfaces for specialized embedded applications
> +all the way to full-blown desktop environments")

Missing period at the end, =E2=80=9Cpowerful=E2=80=9D is maybe not factual =
enough, and
it would be good if you could expound with just a sentence or two (see
<https://www.gnu.org/software/guix/manual/en/html_node/Synopses-and-Descrip=
tions.html>).

> +    (license (list license:gpl2+
> +                   license:lgpl2.0
> +                   license:bsd-3))))

Could you add a comment above explaining the meaning of the list
(whether it=E2=80=99s triple-licensed or what)?

Apart from that this LGTM.  It=E2=80=99s great that you managed to unbundle
almost everything.

Could you send an updated patch?

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 24 Jan 2019 12:00:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 07:00:07 2019
Received: from localhost ([127.0.0.1]:43353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmdfw-0003I3-MB
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 07:00:05 -0500
Received: from mout02.posteo.de ([185.67.36.142]:48347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gmdfu-0003Gr-PL
 for 34189 <at> debbugs.gnu.org; Thu, 24 Jan 2019 07:00:03 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 3F1ED2400FD
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:59:57 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43lggw1jZ7z9rxT
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:59:56 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: 34189 <at> debbugs.gnu.org
Subject: Re: bug#34189: Acknowledgement ([PATCH] gnu: Add arcan.)
References: <cuca7jqrzba.fsf@HIDDEN>
 <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org>
Date: Thu, 24 Jan 2019 13:59:53 +0100
In-Reply-To: <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Thu, 24 Jan 2019 11:55:02 +0000")
Message-ID: <cuch8dyqkhi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0001-gnu-Add-durden.patch
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

From ce7d91129f67c9c9cd14c2cfcbd84c50b428f331 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:45:58 +0100
Subject: [PATCH] gnu: Add durden.

* gnu/packages/arcan.scm (durden): New variable.
---
 gnu/packages/arcan.scm | 45 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index 3589ca55b..8c0bd8347 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -305,3 +305,48 @@ all the way to full-blown desktop environments")
     (synopsis "Image viewer for Arcan")
     (description "Image viewer for Arcan")
     (license license:bsd-3)))
+
+(define-public durden
+  (package
+    (name "durden")
+    (version "0.5") ;We're actually a few commits ahead to fix some bugs
+    (source (origin
+              (method git-fetch)
+              (file-name (git-file-name name version))
+              (uri (git-reference
+                    (url "https://github.com/letoram/durden.git")
+                    (commit "aa95186202d2a2c6a256f8a13239d673ce54883b")))
+              (sha256
+               (base32 "09n1dc612j14jdfn0cvx8mypdv6wdw5sijlrzrfskx93lmzy918v"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (delete 'build)
+         (add-after 'unpack 'keep-env-applbase-path
+           (lambda _
+             (substitute* "distr/durden"
+               (("export ARCAN_APPLBASEPATH.*")
+                ""))
+             #t))
+         (replace 'install
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let* ((out (assoc-ref outputs "out"))
+                    (appl (string-append out "/share/arcan/appl")))
+               (copy-recursively "durden" (string-append appl "/durden"))
+               (install-file "distr/durden" (string-append out "/bin"))))))))
+    (propagated-inputs
+     `(("adloadimage" ,aloadimage)
+       ("aclip" ,aclip)))
+    (home-page "http://durden.arcan-fe.com/")
+    (synopsis "Desktop Environment for Arcan")
+    (description "Durden is a desktop environment for the Arcan Display Server.
+It serves both as a reference showcase on how to take advantage of some of the
+features in Arcan, and as a very competent entry to the advanced-user
+side of the desktop environment spectrum")
+    (license (list license:bsd-3
+                   license:cc-by3.0
+                   license:cc-by4.0
+                   license:asl2.0))))
-- 
2.19.2





Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 24 Jan 2019 11:59:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 06:59:38 2019
Received: from localhost ([127.0.0.1]:43348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmdfW-0003GN-CL
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:59:38 -0500
Received: from mout02.posteo.de ([185.67.36.142]:39759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gmdfV-0003GD-CC
 for 34189 <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:59:37 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id CF7C72400E5
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:59:31 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43lggR0jRHz9rxP
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:59:31 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: 34189 <at> debbugs.gnu.org
Subject: Re: bug#34189: Acknowledgement ([PATCH] gnu: Add arcan.)
References: <cuca7jqrzba.fsf@HIDDEN>
 <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org>
Date: Thu, 24 Jan 2019 13:59:32 +0100
In-Reply-To: <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Thu, 24 Jan 2019 11:55:02 +0000")
Message-ID: <cuclg3aqki3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0001-gnu-Add-aloadimage.patch
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

From 4adf952f0363ef41d992eb5bad308da76ec44a5b Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:45:03 +0100
Subject: [PATCH] gnu: Add aloadimage.

* gnu/packages/arcan.scm (aloadimage): New variable.
---
 gnu/packages/arcan.scm | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index 45f6329e5..3589ca55b 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -276,3 +276,32 @@ all the way to full-blown desktop environments")
     (synopsis "Clipboard manager for Arcan")
     (description "Clipboard manager for Arcan")
     (license license:bsd-3)))
+
+(define-public aloadimage
+  (package
+    (name "aloadimage")
+    (version (package-version arcan))
+    (source (package-source arcan))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("arcan" ,arcan)
+       ("libseccomp" ,libseccomp)))
+    (arguments
+     `(#:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'chdir
+           (lambda _
+             (chdir "src/tools/aloadimage")
+             #t))
+         (add-after 'unpack 'fix-cmake-find-shmif
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "src/platform/cmake/modules/Findarcan_shmif.cmake"
+               (("/usr/local") (string-append (assoc-ref inputs "arcan") "")))
+             #t)))))
+    (home-page "https://arcan-fe.com")
+    (synopsis "Image viewer for Arcan")
+    (description "Image viewer for Arcan")
+    (license license:bsd-3)))
-- 
2.19.2





Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 24 Jan 2019 11:59:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 06:59:26 2019
Received: from localhost ([127.0.0.1]:43345 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmdfK-0003Fz-2M
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:59:26 -0500
Received: from mout02.posteo.de ([185.67.36.142]:47225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gmdfH-0003Fk-Fo
 for 34189 <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:59:24 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id DEDE82400E5
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:59:17 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43lgg85B2Pz9rxN
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:59:16 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: 34189 <at> debbugs.gnu.org
Subject: Re: bug#34189: Acknowledgement ([PATCH] gnu: Add arcan.)
References: <cuca7jqrzba.fsf@HIDDEN>
 <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org>
Date: Thu, 24 Jan 2019 13:59:17 +0100
In-Reply-To: <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Thu, 24 Jan 2019 11:55:02 +0000")
Message-ID: <cucpnsmqkii.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0001-gnu-Add-aclip.patch
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

From 79b429fb23aed7c19212000a58b1c87113d66597 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:43:46 +0100
Subject: [PATCH] gnu: Add aclip.

* gnu/packages/arcan.scm (aclip): New variable.
---
 gnu/packages/arcan.scm | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index a3cdd0518..45f6329e5 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -248,3 +248,31 @@ all the way to full-blown desktop environments")
     (synopsis "Wayland protocol service for Arcan")
     (description "Wayland protocol service for Arcan")
     (license license:bsd-3)))
+
+(define-public aclip
+  (package
+    (name "aclip")
+    (version (package-version arcan))
+    (source (package-source arcan))
+    (build-system cmake-build-system)
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("arcan" ,arcan)))
+    (arguments
+     `(#:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'chdir
+           (lambda _
+             (chdir "src/tools/aclip")
+             #t))
+         (add-after 'unpack 'fix-cmake-find-shmif
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "src/platform/cmake/modules/Findarcan_shmif.cmake"
+               (("/usr/local") (string-append (assoc-ref inputs "arcan") "")))
+             #t)))))
+    (home-page "https://arcan-fe.com")
+    (synopsis "Clipboard manager for Arcan")
+    (description "Clipboard manager for Arcan")
+    (license license:bsd-3)))
-- 
2.19.2





Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 24 Jan 2019 11:58:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 06:58:57 2019
Received: from localhost ([127.0.0.1]:43340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmdeq-0003En-O1
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:58:56 -0500
Received: from mout02.posteo.de ([185.67.36.142]:58121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gmdeo-0003EZ-JJ
 for 34189 <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:58:54 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 1493E2400E5
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:58:49 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43lgfc0FwZz9rxP
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:58:47 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: 34189 <at> debbugs.gnu.org
Subject: Re: bug#34189: Acknowledgement ([PATCH] gnu: Add arcan.)
References: <cuca7jqrzba.fsf@HIDDEN>
 <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org>
Date: Thu, 24 Jan 2019 13:58:49 +0100
In-Reply-To: <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Thu, 24 Jan 2019 11:55:02 +0000")
Message-ID: <cuctvhyqkja.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0001-gnu-Add-arcan-wayland.patch
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

From 5b3d105490154aaf83a7cdf56f78e73829a9dfc7 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:41:30 +0100
Subject: [PATCH] gnu: Add arcan-wayland.

* gnu/packages/arcan.scm (arcan-wayland): New variable.
---
 gnu/packages/arcan.scm | 32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index f31fa635c..a3cdd0518 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -12,11 +12,13 @@
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages freedesktop)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages image)
   #:use-module (gnu packages libusb)
+  #:use-module (gnu packages linux)
   #:use-module (gnu packages lua)
   #:use-module (gnu packages ocr)
   #:use-module (gnu packages pcre)
@@ -216,3 +218,33 @@ all the way to full-blown desktop environments")
     (synopsis "Patched Xserver that bridges connections to Arcan")
     (description "Patched Xserver that bridges connections to Arcan")
     (license license:expat)))
+
+(define-public arcan-wayland
+  (package
+    (inherit arcan)
+    (name "arcan-wayland")
+    (native-inputs
+     `(("pkg-config" ,pkg-config)))
+    (inputs
+     `(("arcan" ,arcan)
+       ("libseccomp" ,libseccomp)
+       ("libxkbcommon" ,libxkbcommon)
+       ("mesa" ,mesa)
+       ("wayland" ,wayland)
+       ("wayland-protocols" ,wayland-protocols)))
+    (arguments
+     `(#:tests? #f
+       #:phases
+       (modify-phases %standard-phases
+         (add-before 'configure 'chdir
+           (lambda _
+             (chdir "src/tools/waybridge")
+             #t))
+         (add-after 'unpack 'fix-cmake-find-shmif
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "src/platform/cmake/modules/Findarcan_shmif.cmake"
+               (("/usr/local") (string-append (assoc-ref inputs "arcan") "")))
+             #t)))))
+    (synopsis "Wayland protocol service for Arcan")
+    (description "Wayland protocol service for Arcan")
+    (license license:bsd-3)))
-- 
2.19.2





Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 24 Jan 2019 11:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 06:58:38 2019
Received: from localhost ([127.0.0.1]:43337 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmdeY-0003EH-BN
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:58:38 -0500
Received: from mout02.posteo.de ([185.67.36.142]:33671)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gmdeW-0003E5-4P
 for 34189 <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:58:36 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 985162400FD
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:58:30 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43lgfF5qJ6z9rxK
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:58:29 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: 34189 <at> debbugs.gnu.org
Subject: Re: bug#34189: Acknowledgement ([PATCH] gnu: Add arcan.)
References: <cuca7jqrzba.fsf@HIDDEN>
 <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org>
Date: Thu, 24 Jan 2019 13:58:31 +0100
In-Reply-To: <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Thu, 24 Jan 2019 11:55:02 +0000")
Message-ID: <cucy37aqkjs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0001-gnu-Add-xarcan.patch
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

From 425368a9858075a9aecf47bf5ace17eb939b43c3 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:39:06 +0100
Subject: [PATCH] gnu: Add xarcan.

* gnu/packages/arcan.scm (xarcan): New variable.
---
 gnu/packages/arcan.scm | 68 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index 2765d805f..f31fa635c 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -1,5 +1,6 @@
 (define-module (gnu packages arcan)
   #:use-module (guix build-system cmake)
+  #:use-module (guix build-system gnu)
   #:use-module (guix git-download)
   #:use-module ((guix licenses) #:prefix license:)
   #:use-module (guix packages)
@@ -7,6 +8,7 @@
 
   #:use-module (gnu packages apr)
   #:use-module (gnu packages audio)
+  #:use-module (gnu packages autotools)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages databases)
   #:use-module (gnu packages fontutils)
@@ -21,8 +23,10 @@
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages ruby)
   #:use-module (gnu packages sdl)
+  #:use-module (gnu packages tls)
   #:use-module (gnu packages video)
   #:use-module (gnu packages xdisorg)
+  #:use-module (gnu packages xorg)
   #:use-module (srfi srfi-1))
 
 (define-public arcan
@@ -148,3 +152,67 @@ all the way to full-blown desktop environments")
               "-DENABLE_LWA=on" "-DSTATIC_SQLITE3=off"
               "-DSTATIC_FREETYPE=off" "-DSHMIF_TUI_ACCEL=on")))))
     (synopsis "Combined display server, multimedia framework and game engine (sdl)")))
+
+
+(define-public xarcan
+  (package
+    (name "xarcan")
+    (version "0.5.4")
+    (source
+     (origin
+       (method git-fetch)
+       (file-name (git-file-name name version))
+       (uri (git-reference
+             (url "https://github.com/letoram/xarcan.git")
+             (commit "8e6ee029388326cfe5cddeffe482eb3702e9b7f3")))
+       (sha256
+        (base32 "0zng7cs6733mnf0p6g5wv02981f2sf567n56csax6cmzb8fpamym"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:configure-flags
+       `("--enable-kdrive" "--enable-xarcan"
+         "--disable-xorg" "--disable-xwayland"
+         "--disable-xnest" "--disable-xvfb"
+         "--enable-glamor" "--enable-glx"
+         "--disable-int10-module" "--enable-ipv6"
+         "--enable-record" "--without-systemd-daemon"
+         "--enable-xcsecurity" "--disable-static"
+         ,(string-append "--with-xkb-path="
+                         (assoc-ref %build-inputs "xkeyboard-config")
+                         "/share/X11/xkb")
+         ,(string-append "--with-xkb-bin-directory="
+                         (assoc-ref %build-inputs "xkbcomp")
+                         "/bin")
+         ,(string-append "--with-xkb-output="
+                         "/tmp"))       ; FIXME: Copied from xorg
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'noconfigure
+           (lambda _
+             (setenv "NOCONFIGURE" "true")
+             #t)))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("autoconf" ,autoconf)
+       ("automake" ,automake)
+       ("libtool" ,libtool)
+       ("util-macros" ,util-macros)))
+    (inputs
+     `(("arcan" ,arcan)
+       ("font-util" ,font-util)
+       ("libdrm" ,libdrm)
+       ("libepoxy" ,libepoxy)
+       ("libkbfile" ,libxkbfile)
+       ("libressl" ,libressl)
+       ("libx11" ,libx11)
+       ("libxfont2" ,libxfont2)
+       ("mesa" ,mesa)
+       ("pixman" ,pixman)
+       ("xkeyboard-config" ,xkeyboard-config)
+       ("xkbcomp" ,xkbcomp)
+       ("xorgproto" ,xorgproto)
+       ("xtrans" ,xtrans)))
+    (home-page "https://arcan-fe.com")
+    (synopsis "Patched Xserver that bridges connections to Arcan")
+    (description "Patched Xserver that bridges connections to Arcan")
+    (license license:expat)))
-- 
2.19.2





Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at 34189 <at> debbugs.gnu.org:


Received: (at 34189) by debbugs.gnu.org; 24 Jan 2019 11:57:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 06:57:56 2019
Received: from localhost ([127.0.0.1]:43333 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmdds-0003Cz-1r
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:57:56 -0500
Received: from mout02.posteo.de ([185.67.36.142]:51515)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gmddq-0003Cm-H0
 for 34189 <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:57:54 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 7C0B22400FB
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:57:48 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43lgdR0Jz6z9rxR
 for <34189 <at> debbugs.gnu.org>; Thu, 24 Jan 2019 12:57:46 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: 34189 <at> debbugs.gnu.org
Subject: Re: bug#34189: Acknowledgement ([PATCH] gnu: Add arcan.)
References: <cuca7jqrzba.fsf@HIDDEN>
 <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org>
Date: Thu, 24 Jan 2019 13:57:48 +0100
In-Reply-To: <handler.34189.B.154833088612044.ack <at> debbugs.gnu.org> (GNU bug
 Tracking System's message of "Thu, 24 Jan 2019 11:55:02 +0000")
Message-ID: <cuc36pirz5f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline; filename=0001-gnu-Add-arcan-sdl.patch
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: 34189
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

From acb1f8e7181a1e3d2b496f26e350582ca9b65db9 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:34:26 +0100
Subject: [PATCH] gnu: Add arcan-sdl.

* gnu/packages/arcan.scm (arcan-sdl): New variable.
---
 gnu/packages/arcan.scm | 22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
index 910464dec..2765d805f 100644
--- a/gnu/packages/arcan.scm
+++ b/gnu/packages/arcan.scm
@@ -20,8 +20,10 @@
   #:use-module (gnu packages pcre)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages ruby)
+  #:use-module (gnu packages sdl)
   #:use-module (gnu packages video)
-  #:use-module (gnu packages xdisorg))
+  #:use-module (gnu packages xdisorg)
+  #:use-module (srfi srfi-1))
 
 (define-public arcan
   (package
@@ -128,3 +130,21 @@ all the way to full-blown desktop environments")
     (license (list license:gpl2+
                    license:lgpl2.0
                    license:bsd-3))))
+
+(define-public arcan-sdl
+  (package
+    (inherit arcan)
+    (name "arcan-sdl")
+    (inputs
+     `(("sdl" ,sdl)
+       ,@(fold alist-delete (package-inputs arcan)
+               '("libdrm"))))
+    (arguments
+     `(,@(ensure-keyword-arguments
+          (package-arguments arcan)
+          '(#:configure-flags
+            '("-DVIDEO_PLATFORM=sdl" "-DBUILTIN_LUA=off"
+              "-DSTATIC_OPENAL=off" "-DDISABLE_JIT=off"
+              "-DENABLE_LWA=on" "-DSTATIC_SQLITE3=off"
+              "-DSTATIC_FREETYPE=off" "-DSHMIF_TUI_ACCEL=on")))))
+    (synopsis "Combined display server, multimedia framework and game engine (sdl)")))
-- 
2.19.2





Information forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Jan 2019 11:54:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 24 06:54:46 2019
Received: from localhost ([127.0.0.1]:43328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gmdao-00038C-Cy
	for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:54:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48675)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix@HIDDEN>) id 1gmdam-00037x-VY
 for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:54:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:34428)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <guix@HIDDEN>) id 1gmdah-0006yZ-NV
 for submit <at> debbugs.gnu.org; Thu, 24 Jan 2019 06:54:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58843)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <guix@HIDDEN>) id 1gmdag-0006QP-5Y
 for guix-patches@HIDDEN; Thu, 24 Jan 2019 06:54:39 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-4.2 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_MED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <guix@HIDDEN>) id 1gmdac-0006rd-3u
 for guix-patches@HIDDEN; Thu, 24 Jan 2019 06:54:37 -0500
Received: from mout02.posteo.de ([185.67.36.142]:56373)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <guix@HIDDEN>) id 1gmdaX-0006XR-Lv
 for guix-patches@HIDDEN; Thu, 24 Jan 2019 06:54:30 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id B34652400E6
 for <guix-patches@HIDDEN>; Thu, 24 Jan 2019 12:54:16 +0100 (CET)
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 43lgYM5TqMz9rxK
 for <guix-patches@HIDDEN>; Thu, 24 Jan 2019 12:54:15 +0100 (CET)
From: L  p R n  d n    <guix@HIDDEN>
To: guix-patches@HIDDEN 
Subject: [PATCH] gnu: Add arcan.
Date: Thu, 24 Jan 2019 13:54:17 +0100
Message-ID: <cuca7jqrzba.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-arcan.patch
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.142
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

From f1d5416c9d7a8a5ba5ecb4d380d06ee066b62a29 Mon Sep 17 00:00:00 2001
From: Lprndn <guix@HIDDEN>
Date: Thu, 24 Jan 2019 13:29:21 +0100
Subject: [PATCH] gnu: Add arcan.

* gnu/packages/arcan.scm New module.
* gnu/packages/arcan.scm (arcan): New variable.
---
 gnu/packages/arcan.scm | 130 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 130 insertions(+)
 create mode 100644 gnu/packages/arcan.scm

diff --git a/gnu/packages/arcan.scm b/gnu/packages/arcan.scm
new file mode 100644
index 000000000..910464dec
--- /dev/null
+++ b/gnu/packages/arcan.scm
@@ -0,0 +1,130 @@
+(define-module (gnu packages arcan)
+  #:use-module (guix build-system cmake)
+  #:use-module (guix git-download)
+  #:use-module ((guix licenses) #:prefix license:)
+  #:use-module (guix packages)
+  #:use-module (guix utils)
+
+  #:use-module (gnu packages apr)
+  #:use-module (gnu packages audio)
+  #:use-module (gnu packages compression)
+  #:use-module (gnu packages databases)
+  #:use-module (gnu packages fontutils)
+  #:use-module (gnu packages gl)
+  #:use-module (gnu packages glib)
+  #:use-module (gnu packages gtk)
+  #:use-module (gnu packages image)
+  #:use-module (gnu packages libusb)
+  #:use-module (gnu packages lua)
+  #:use-module (gnu packages ocr)
+  #:use-module (gnu packages pcre)
+  #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages ruby)
+  #:use-module (gnu packages video)
+  #:use-module (gnu packages xdisorg))
+
+(define-public arcan
+  (package
+    (name "arcan")
+    (version "0.5.5.2")                 ;A few commits ahead, really. To fix some bugs.
+    (source (origin
+              (method git-fetch)
+              (file-name (git-file-name name version))
+              (uri (git-reference
+                    (url "https://github.com/letoram/arcan.git")
+                    (commit "b4dd1fbd1938492ff4b269189d3c8524be7450a9")))
+              (sha256
+               (base32
+                "1pd0avlzc2rig1hd37zbhc7r2s6fjzdhshfg9l9cfzibl7caclyw"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:configure-flags '("-DVIDEO_PLATFORM=egl-dri" "-DBUILTIN_LUA=off"
+                           "-DSTATIC_OPENAL=off""-DENABLE_LWA=on"
+                           "-DSTATIC_SQLITE3=off" "-DSTATIC_FREETYPE=off"
+                           "-DSHMIF_TUI_ACCEL=on")
+       #:phases
+       (modify-phases %standard-phases
+         (add-after 'unpack 'fix-cmake-paths
+           (lambda* (#:key inputs #:allow-other-keys)
+             (substitute* "src/platform/cmake/modules/FindGBMKMS.cmake"
+               (("/usr/local/include/libdrm")
+                (string-append (assoc-ref inputs "libdrm")
+                               "/include/libdrm")))
+             (substitute* "src/platform/cmake/modules/FindAPR.cmake"
+               (("/usr/local/apr/include/apr-1")
+                (string-append (assoc-ref inputs "apr")
+                               "/include/apr-1")))
+             #t))
+         (add-after 'unpack 'prepare-static-openal ; For building arcan_lwa
+           (lambda* (#:key inputs #:allow-other-keys)
+             (let ((arcan-openal (assoc-ref inputs "arcan-openal")))
+               (mkdir-p "external/openal")
+               (symlink arcan-openal "external/git/openal"))
+             #t))
+         (add-after 'prepare-static-openal 'generate-man
+           (lambda _
+             (with-directory-excursion "doc"
+               (invoke "ruby" "docgen.rb" "mangen"))
+             #t))
+         (add-before 'configure 'chdir
+           (lambda _
+             (chdir "src")
+             #t))
+         (add-after 'install 'wrap-program
+           (lambda* (#:key outputs #:allow-other-keys)
+             (let ((out (assoc-ref outputs "out")))
+               (wrap-program (string-append out "/bin/arcan")
+                 `("ARCAN_RESOURCEPATH" ":" suffix
+                   (,(string-append out "/share/arcan/resources")))
+                 `("ARCAN_STATEBASEPATH" ":" =
+                   ("$HOME/.arcan/resources/savestates"))
+                 `("ARCAN_STATEPATH" ":" =
+                   ("$HOME/.arcan/resources/savestates"))
+                 `("ARCAN_BINPATH" ":" =
+                   (,(string-append out "/bin/arcan_frameserver")))
+                 `("ARCAN_SCRIPTPATH" ":" suffix
+                   (,(string-append out "/share/arcan/scripts")))))
+             #t)))
+       #:tests? #f))
+    (native-search-paths
+     (list (search-path-specification
+            (variable "ARCAN_APPLBASEPATH")
+            (separator #f)
+            (files '("share/arcan/appl")))))
+    (inputs
+     `(("apr" ,apr)
+       ("ffmpeg" ,ffmpeg)
+       ("freetype" ,freetype)
+       ("glib" ,glib)
+       ("glu" ,glu)
+       ("harfbuzz" ,harfbuzz)
+       ("libdrm" ,libdrm)
+       ("libusb" ,libusb)
+       ("libxkbcommon" ,libxkbcommon)
+       ("lua" ,luajit)
+       ("lzip" ,lzip)
+       ("openal" ,openal)
+       ("pcre" ,pcre)
+       ("sqlite" ,sqlite)
+       ("tesseract-ocr" ,tesseract-ocr)
+       ("leptonica" ,leptonica)
+       ("vlc" ,vlc)
+       ("arcan-openal" ,(origin
+                          (method git-fetch)
+                          (uri (git-reference
+                                (url "https://github.com/letoram/openal.git")
+                                (commit "1c7302c580964fee9ee9e1d89ff56d24f934bdef")))
+                          (sha256
+                           (base32
+                            "0dcxcnqjkyyqdr2yk84mprvkncy5g172kfs6vc4zrkklsbkr8yi2"))))))
+    (native-inputs
+     `(("pkg-config" ,pkg-config)
+       ("ruby" ,ruby)))                 ; For documentation and testing
+    (home-page "https://arcan-fe.com")
+    (synopsis "Combined display server, multimedia framework and game engine (egl-dri)")
+    (description "Arcan is a powerful development framework for creating virtually
+anything from user interfaces for specialized embedded applications
+all the way to full-blown desktop environments")
+    (license (list license:gpl2+
+                   license:lgpl2.0
+                   license:bsd-3))))
-- 
2.19.2





Acknowledgement sent to L p R n d n <guix@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34189; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 18 Mar 2019 09:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.